{
  "text": "",
  "formats": [
    {
      "screen": {
        "record format name": "fmt01",
        "external javascript": {
          "fieldName": "extjs",
          "dataLength": "250",
          "trimLeading": "false",
          "trimTrailing": "true",
          "blankFill": "false",
          "rjZeroFill": "false",
          "dataType": "char",
          "formatting": "Text",
          "textTransform": "none"
        },
        "onload": "carga_inicial()",
        "document title": "Control visual",
        "external css": {
          "fieldName": "extcss",
          "dataLength": "25",
          "trimLeading": "false",
          "trimTrailing": "true",
          "blankFill": "false",
          "rjZeroFill": "false",
          "dataType": "varchar",
          "formatting": "Text",
          "textTransform": "none"
        },
        "disable enter key": "true"
      },
      "items": [
        {
          "id": "factual",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "factual",
            "dataLength": "200",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[factual]"
          },
          "left": "20px",
          "top": "880px",
          "color": "gray",
          "visibility": "visible"
        },
        {
          "id": "fini",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "fini",
            "dataLength": "200",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[fini]"
          },
          "color": "gray",
          "left": "25px",
          "top": "780px",
          "visibility": "hidden"
        },
        {
          "id": "ffin",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "ffin",
            "dataLength": "200",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[ffin]"
          },
          "color": "gray",
          "left": "15px",
          "top": "825px",
          "visibility": "hidden"
        },
        {
          "id": "OutputField4",
          "field type": "output field",
          "css class": "blueprint-defaults",
          "value": "Almacen",
          "left": "1010px",
          "top": "15px",
          "css class 2": "blueprint-label",
          "css class 3": "label",
          "font size": "30px",
          "color": "#10253f"
        },
        {
          "id": "griddestinos",
          "field type": "grid",
          "css class": "blueprint-grid",
          "left": "1525px",
          "top": "490px",
          "number of rows": "11",
          "number of columns": "4",
          "column widths": "200,200,200,216",
          "column headings": "Bulto,Posicion,Hora,Estado",
          "header height": "26",
          "row height": "47",
          "height": "496px",
          "width": "817px",
          "record format name": "griddestinos",
          "sortable columns": "true",
          "z index": "41",
          "font size": "18px",
          "header text align": "center",
          "scroll tool tip": "none",
          "filter option": "true",
          "resizable columns": "false",
          "movable columns": "false",
          "find option": "true",
          "css class 2": "office-copy-defaults",
          "visibility": "hidden"
        },
        {
          "id": "capaalta",
          "field type": "layout",
          "left": "1550px",
          "top": "180px",
          "template": "css panel",
          "header text": "Panel Header",
          "header theme": "B - Blue",
          "body theme": "C - Gray",
          "height": "275px",
          "width": "555px",
          "z index": "70",
          "has header": "false",
          "visibility": "hidden"
        },
        {
          "id": "htmlvideo",
          "field type": "html container",
          "left": "260px",
          "top": "785px",
          "white space": "normal",
          "width": "380px",
          "height": "230px",
          "visibility": "hidden",
          "z index": "91"
        },
        {
          "id": "capaoculta",
          "field type": "layout",
          "left": "125px",
          "top": "790px",
          "template": "css panel",
          "header text": "Panel Header",
          "header theme": "B - Blue",
          "body theme": "C - Gray",
          "height": "110px",
          "width": "95px",
          "z index": "90",
          "has header": "false",
          "visibility": "hidden"
        },
        {
          "id": "capaoculta_inputs",
          "field type": "layout",
          "left": "195px",
          "top": "1100px",
          "template": "simple container",
          "height": "450px",
          "width": "485px",
          "visibility": "hidden",
          "z index": "91",
          "inline style": "background-color: #f57676;border-radius: 8px;box-shadow: 0 2px 4px rgba(0,0,0,0.1);"
        },
        {
          "id": "Layout1",
          "field type": "layout",
          "left": "-5px",
          "top": "0px",
          "template": "simple container",
          "height": "110px",
          "width": "1470px",
          "inline style": "background-color: #ffcc00",
          "z index": "9"
        },
        {
          "id": "Layout1_copy",
          "field type": "layout",
          "left": "-5px",
          "top": "110px",
          "template": "simple container",
          "height": "660px",
          "width": "1470px",
          "inline style": "background-color: #F5F5F5;",
          "z index": "8"
        },
        {
          "id": "teclado",
          "field type": "layout",
          "left": "845px",
          "top": "825px",
          "template": "css panel",
          "header text": "Panel Header",
          "header theme": "B - Blue",
          "body theme": "C - Gray",
          "height": "515px",
          "width": "440px",
          "z index": "69",
          "has header": "false",
          "visibility": "hidden",
          "straight edge": "all"
        },
        {
          "id": "capaoculta_verde",
          "field type": "layout",
          "left": "1390px",
          "top": "1090px",
          "template": "simple container",
          "height": "450px",
          "width": "485px",
          "visibility": "hidden",
          "z index": "91",
          "inline style": "background-color: #00AA00;border-radius: 8px;box-shadow: 0 2px 4px rgba(0,0,0,0.1);"
        },
        {
          "id": "Layout1_copy2",
          "field type": "layout",
          "left": "15px",
          "top": "15px",
          "template": "simple container",
          "height": "630px",
          "width": "445px",
          "inline style": "background-color: #ffffff;border-radius: 8px;box-shadow: 0 2px 4px rgba(0,0,0,0.1);",
          "z index": "8",
          "layout": "Layout1_copy",
          "container": "1"
        },
        {
          "id": "Image1",
          "field type": "image",
          "left": "15px",
          "top": "calc(50% - 30px)",
          "image source": {
            "fieldName": "logo",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "/profoundui/proddata/images/image.png"
          },
          "width": "205px",
          "height": "60px",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "OutputField2",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "url",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[url]"
          },
          "left": "695px",
          "top": "35px",
          "visibility": "hidden",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "formato",
          "field type": "textbox",
          "css class": "blueprint-defaults",
          "value": {
            "fieldName": "formato",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[formato]"
          },
          "left": "850px",
          "top": "15px",
          "height": "25px",
          "width": "150px",
          "css class 2": "blueprint-textbox",
          "visibility": "hidden",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "dest",
          "field type": "textbox",
          "css class": "blueprint-defaults",
          "value": {
            "fieldName": "dest",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[dest]"
          },
          "left": "850px",
          "top": "45px",
          "height": "25px",
          "width": "150px",
          "css class 2": "blueprint-textbox",
          "visibility": "hidden",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "color",
          "field type": "textbox",
          "css class": "blueprint-defaults",
          "value": {
            "fieldName": "color",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[color]"
          },
          "left": "850px",
          "top": "75px",
          "height": "25px",
          "width": "150px",
          "css class 2": "blueprint-textbox",
          "visibility": "hidden",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "rutavideo",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "rutavideo",
            "dataLength": "900",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[rutavideo]"
          },
          "left": "695px",
          "top": "60px",
          "visibility": "hidden",
          "width": "75px",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "ras",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "ras",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[ras]"
          },
          "left": "1165px",
          "top": "55px",
          "css class 2": "office-copy-defaults",
          "css class 3": "office-copy-output-field",
          "font size": "30px",
          "width": "160px",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "warehouse",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "warehouse",
            "dataLength": "20",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[warehouse]"
          },
          "left": "1165px",
          "top": "15px",
          "css class 2": "office-copy-defaults",
          "css class 3": "office-copy-output-field",
          "font size": "30px",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "OutputField4_copy",
          "field type": "output field",
          "css class": "blueprint-defaults",
          "value": "Rampa",
          "color": "#10253f",
          "font size": "30px",
          "left": "1015px",
          "top": "55px",
          "css class 2": "blueprint-label",
          "css class 3": "label",
          "width": "140px",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "txt1",
          "field type": "output field",
          "css class": "outputField",
          "value": "TRANSPORTISTA",
          "font size": "18px",
          "text align": "left",
          "left": "25px",
          "top": "110px",
          "height": "25px",
          "width": "235px",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "txt1_copy4",
          "field type": "output field",
          "css class": "outputField",
          "value": "INVENTORY ID",
          "font size": "18px",
          "text align": "left",
          "left": "25px",
          "top": "75px",
          "height": "25px",
          "width": "235px",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "titulocapa",
          "field type": "output field",
          "css class": "outputField",
          "value": "ASIGNAR DESTINO",
          "font size": "26px",
          "text align": "center",
          "text decoration": "underline",
          "left": "25px",
          "top": "15px",
          "height": "35px",
          "width": "500px",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "Image2_copy7",
          "field type": "image",
          "image source": "images/aceptar2.png",
          "left": "45px",
          "top": "190px",
          "height": "45px",
          "width": "45px",
          "z index": "68",
          "onclick": "asignar_destino();",
          "cursor": "pointer",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "btok",
          "field type": "button",
          "css class": "button",
          "value": "        ACEPTAR",
          "color": "#000000",
          "font size": "26px",
          "font weight": "700",
          "left": "30px",
          "top": "180px",
          "height": "65px",
          "width": "205px",
          "border radius": "10px",
          "cursor": "pointer",
          "onclick": "asignar_destino();",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "Image2_copy8",
          "field type": "image",
          "image source": "images/cancelar2.png",
          "left": "320px",
          "top": "190px",
          "height": "45px",
          "width": "45px",
          "z index": "68",
          "onclick": "cancelar_capa_alta();",
          "cursor": "pointer",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "btnook",
          "field type": "button",
          "css class": "button",
          "value": "        CANCELAR",
          "color": "#000000",
          "font size": "26px",
          "font weight": "700",
          "left": "305px",
          "top": "180px",
          "height": "65px",
          "width": "220px",
          "border radius": "10px",
          "cursor": "pointer",
          "onclick": "cancelar_capa_alta();",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "idw",
          "field type": "textbox",
          "css class": "input",
          "value": {
            "fieldName": "idw",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[idw]"
          },
          "font size": "18px",
          "text align": "left",
          "left": "275px",
          "top": "75px",
          "height": "25px",
          "width": "250px",
          "disabled": "true",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "altaerror",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "altaerror",
            "dataLength": "100",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[altaerror]"
          },
          "color": "#FF0000",
          "font size": "18px",
          "text align": "left",
          "left": "25px",
          "top": "145px",
          "height": "25px",
          "width": "500px",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "transportistaw",
          "field type": "select box",
          "css class": "input",
          "value": {
            "fieldName": "transportistaw",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[transportistaw]"
          },
          "font size": "18px",
          "text align": "left",
          "choices": {
            "fieldName": "transportistas",
            "dataLength": "999",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none"
          },
          "choice values": {
            "fieldName": "transportistas",
            "dataLength": "999",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none"
          },
          "left": "275px",
          "top": "110px",
          "height": "25px",
          "width": "255px",
          "layout": "capaalta",
          "container": "1"
        },
        {
          "id": "btverificado",
          "field type": "button",
          "css class": "button",
          "value": "VERIFICADO",
          "color": "#000000",
          "font size": "26px",
          "font weight": "700",
          "left": "40px",
          "top": "325px",
          "height": "65px",
          "width": "382px",
          "border radius": "10px",
          "cursor": "pointer",
          "onclick": "cerrar_capa_video();",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "ibtverificado",
          "field type": "image",
          "image source": "images/aceptar2.png",
          "left": "650px",
          "top": "80px",
          "height": "45px",
          "width": "45px",
          "z index": "68",
          "cursor": "pointer",
          "onclick": "cerrar_capa_video();",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "btvolver",
          "field type": "button",
          "css class": "button",
          "value": "VOLVER",
          "color": "#000000",
          "font size": "26px",
          "font weight": "700",
          "left": "40px",
          "top": "325px",
          "height": "65px",
          "width": "385px",
          "border radius": "10px",
          "cursor": "pointer",
          "onclick": "cerrar_capa_video();",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "qrw",
          "field type": "textbox",
          "css class": "input",
          "value": {
            "fieldName": "qrw",
            "dataLength": "18",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[qrw]"
          },
          "font size": "20px",
          "left": "40px",
          "top": "405px",
          "height": "15px",
          "width": "95px",
          "onkeydown": "keyHandlerQr(event);",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "OutputField4_copy2",
          "field type": "output field",
          "css class": "blueprint-defaults",
          "value": "Clasificación de bultos",
          "color": "#10253f",
          "font size": "30px",
          "left": "250px",
          "top": "calc(50% - 18px)",
          "css class 2": "blueprint-label",
          "css class 3": "label",
          "width": "465px",
          "text align": "center",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "Layout2",
          "field type": "layout",
          "left": "475px",
          "top": "15px",
          "template": "simple container",
          "height": "630px",
          "width": "975px",
          "z index": "7",
          "inline style": "background-color: #ffffff;border-radius: 8px;box-shadow: 0 2px 4px rgba(0,0,0,0.1);",
          "layout": "Layout1_copy",
          "container": "1"
        },
        {
          "id": "OutputField1",
          "field type": "output field",
          "css class": "label",
          "value": "Bulto",
          "left": "25px",
          "top": "35px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "width": "150px",
          "font size": "22px",
          "color": "#000000",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "OutputField3",
          "field type": "output field",
          "css class": "label",
          "value": "Transportista",
          "left": "0px",
          "top": "85px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "width": "175px",
          "font size": "22px",
          "color": "#000000",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "OutputField3_copy",
          "field type": "output field",
          "css class": "label",
          "value": "Ola",
          "left": "30px",
          "top": "175px",
          "width": "145px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "font size": "22px",
          "color": "#000000",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "bultovid",
          "field type": "output field",
          "css class": "label",
          "value": {
            "fieldName": "bultovid",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "varchar",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[bultovid]"
          },
          "font size": "22px",
          "left": "185px",
          "top": "35px",
          "width": "285px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "color": "#000000",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "transportista",
          "field type": "output field",
          "css class": "label",
          "value": {
            "fieldName": "transportista",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "varchar",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[transportista]"
          },
          "font size": "22px",
          "left": "185px",
          "top": "85px",
          "width": "285px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "color": "#000000",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "ola",
          "field type": "output field",
          "css class": "label",
          "value": {
            "fieldName": "ola",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "varchar",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[ola]"
          },
          "font size": "22px",
          "left": "185px",
          "top": "175px",
          "width": "285px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "color": "#000000",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "OutputField3_copy4",
          "field type": "output field",
          "css class": "label",
          "value": "Posicion",
          "font size": "22px",
          "left": "30px",
          "top": "130px",
          "width": "145px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "color": "#000000",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "posicion",
          "field type": "output field",
          "css class": "label",
          "value": {
            "fieldName": "posicion",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "varchar",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[posicion]"
          },
          "font size": "22px",
          "left": "185px",
          "top": "130px",
          "width": "285px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "color": "#000000",
          "layout": "capaoculta_inputs",
          "container": "1"
        },
        {
          "id": "valortecla",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "valortecla",
            "dataLength": "20",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[valortecla]"
          },
          "left": "15px",
          "top": "95px",
          "visibility": "hidden",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy20",
          "field type": "button",
          "css class": "button",
          "value": "7",
          "color": "#000000",
          "font size": "40px",
          "left": "85px",
          "top": "15px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('7');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy21",
          "field type": "button",
          "css class": "button",
          "value": "8",
          "color": "#000000",
          "font size": "40px",
          "left": "190px",
          "top": "15px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('8');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy22",
          "field type": "button",
          "css class": "button",
          "value": "9",
          "color": "#000000",
          "font size": "40px",
          "left": "295px",
          "top": "15px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('9');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy23",
          "field type": "button",
          "css class": "button",
          "value": "4",
          "color": "#000000",
          "font size": "40px",
          "left": "85px",
          "top": "95px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('4');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy24",
          "field type": "button",
          "css class": "button",
          "value": "5",
          "color": "#000000",
          "font size": "40px",
          "left": "190px",
          "top": "95px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('5');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy25",
          "field type": "button",
          "css class": "button",
          "value": "6",
          "color": "#000000",
          "font size": "40px",
          "left": "295px",
          "top": "95px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('6');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy26",
          "field type": "button",
          "css class": "button",
          "value": "1",
          "color": "#000000",
          "font size": "40px",
          "left": "85px",
          "top": "175px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('1');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy27",
          "field type": "button",
          "css class": "button",
          "value": "2",
          "color": "#000000",
          "font size": "40px",
          "left": "190px",
          "top": "175px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('2');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy28",
          "field type": "button",
          "css class": "button",
          "value": "3",
          "color": "#000000",
          "font size": "40px",
          "left": "295px",
          "top": "175px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('3');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy104",
          "field type": "button",
          "css class": "button",
          "value": "0",
          "color": "#000000",
          "font size": "40px",
          "left": "85px",
          "top": "255px",
          "height": "70px",
          "width": "70px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('0');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "oo1_copy1023",
          "field type": "button",
          "css class": "button",
          "value": "BORRAR",
          "color": "#000000",
          "font size": "34px",
          "left": "190px",
          "top": "255px",
          "height": "70px",
          "width": "175px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('BORRAR');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "Button1_copy4",
          "field type": "button",
          "css class": "button",
          "value": "   ACEPTAR",
          "color": "#000000",
          "font size": "34px",
          "font weight": "bold",
          "left": "85px",
          "top": "340px",
          "height": "65px",
          "width": "280px",
          "onclick": "pulsa_tecla('ACEPTAR');",
          "cursor": "pointer",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "Button1_copy5",
          "field type": "button",
          "css class": "button",
          "value": "     CANCELAR",
          "color": "#000000",
          "font size": "34px",
          "font weight": "bold",
          "left": "85px",
          "top": "415px",
          "height": "65px",
          "width": "280px",
          "cursor": "pointer",
          "onclick": "pulsa_tecla('CANCELAR');",
          "border radius": "10px",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "Image2_copy2",
          "field type": "image",
          "image source": "images/cancelar2.png",
          "left": "100px",
          "top": "425px",
          "height": "45px",
          "width": "45px",
          "z index": "68",
          "onclick": "pulsa_tecla('CANCELAR');",
          "cursor": "pointer",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "Image2_copy4",
          "field type": "image",
          "image source": "images/aceptar2.png",
          "left": "100px",
          "top": "350px",
          "height": "45px",
          "width": "45px",
          "z index": "68",
          "onclick": "pulsa_tecla('ACEPTAR');",
          "cursor": "pointer",
          "layout": "teclado",
          "container": "1"
        },
        {
          "id": "ibtverificado_copy",
          "field type": "image",
          "image source": "images/aceptar2.png",
          "left": "650px",
          "top": "80px",
          "height": "45px",
          "width": "45px",
          "z index": "68",
          "cursor": "pointer",
          "onclick": "cerrar_capa_video();",
          "layout": "capaoculta_verde",
          "container": "1"
        },
        {
          "id": "OutputField1_copy",
          "field type": "output field",
          "css class": "label",
          "value": "Petición completada",
          "left": "15px",
          "top": "25px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "width": "450px",
          "font size": "30px",
          "color": "#000000",
          "height": "405px",
          "text align": "center",
          "layout": "capaoculta_verde",
          "container": "1"
        },
        {
          "id": "bultow",
          "field type": "textbox",
          "css class": "input",
          "value": {
            "fieldName": "bultow",
            "dataLength": "18",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[bultow]"
          },
          "font size": "20px",
          "left": "10px",
          "top": "40px",
          "height": "35px",
          "width": "365px",
          "inline style": "flex-grow: 1;\nfont-size: 16px;\nborder: 1px solid #ccc;\nborder-radius: 4px 0 0 4px;",
          "onkeydown": "keyHandler(event);",
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "OutputField5_copy",
          "field type": "output field",
          "css class": "label",
          "value": "Leer etiqueta de bulto",
          "color": "#10253f",
          "font size": "22px",
          "left": "10px",
          "top": "10px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "visibility": "visible",
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "iteclado",
          "field type": "image",
          "left": "380px",
          "top": "40px",
          "image source": "images/teclado.jpg",
          "width": "35px",
          "height": "35px",
          "onclick": "mostrar_teclado()",
          "cursor": "pointer",
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "listapeticiones",
          "field type": "html container",
          "left": "25px",
          "top": "42px",
          "white space": "normal",
          "width": "925px",
          "height": "560px",
          "overflow y": "auto",
          "layout": "Layout2",
          "container": "1"
        },
        {
          "id": "txterror",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "txterror",
            "dataLength": "100",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[txterror]"
          },
          "color": "#FF0000",
          "font size": "18px",
          "text align": "left",
          "left": "10px",
          "top": "80px",
          "height": "25px",
          "width": "395px",
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "capadestino",
          "field type": "layout",
          "left": "10px",
          "top": "110px",
          "template": "simple container",
          "height": "250px",
          "width": "410px",
          "visibility": {
            "fieldName": "vcapadestino",
            "customTrue": "",
            "customFalse": "",
            "dataType": "indicator",
            "formatting": "Indicator",
            "indFormat": "visible / hidden"
          },
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "OutputField5_copy2",
          "field type": "output field",
          "css class": "label",
          "value": "Ultimas peticiones",
          "color": "#10253f",
          "font size": "24px",
          "left": "25px",
          "top": "10px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "visibility": "visible",
          "layout": "Layout2",
          "container": "1"
        },
        {
          "id": "motor_vc",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "motor_vc",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "varchar",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[motor_vc]"
          },
          "left": "10px",
          "top": "385px",
          "width": "415px",
          "height": "40px",
          "font size": "30px",
          "font style": "normal",
          "text transform": "uppercase",
          "text align": "center",
          "inline style": "background-color: #f57676",
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "motor_api",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "motor_api",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "varchar",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[motor_api]"
          },
          "font size": "30px",
          "font style": "normal",
          "text align": "center",
          "text transform": "uppercase",
          "left": "10px",
          "top": "430px",
          "height": "40px",
          "width": "415px",
          "inline style": "background-color: #f57676",
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "OutputField5_copy3",
          "field type": "output field",
          "css class": "label",
          "value": "Ultimas peticiones",
          "color": "#10253f",
          "font size": "24px",
          "left": "790px",
          "top": "20px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "visibility": "visible",
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "Image1_copy",
          "field type": "image",
          "image source": "images/3CO_VC.png",
          "left": "55px",
          "top": "505px",
          "height": "90px",
          "width": "320px",
          "layout": "Layout1_copy2",
          "container": "1"
        },
        {
          "id": "bgcolor",
          "field type": "output field",
          "css class": "label",
          "color": "#10253f",
          "font size": "18px",
          "left": "35px",
          "top": "30px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "width": "345px",
          "height": "185px",
          "background color": "#00FF00",
          "text align": "center",
          "z index": "39",
          "layout": "capadestino",
          "container": "1"
        },
        {
          "id": "destino",
          "field type": "output field",
          "css class": "label",
          "value": {
            "fieldName": "destino",
            "dataLength": "25",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "varchar",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[destino]"
          },
          "color": "#10253f",
          "font size": "60px",
          "left": "50px",
          "top": "75px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "z index": "40",
          "width": "310px",
          "text align": "center",
          "height": "90px",
          "layout": "capadestino",
          "container": "1"
        },
        {
          "id": "bulto",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "bulto",
            "dataLength": "100",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[bulto]"
          },
          "text align": "center",
          "left": "10px",
          "top": "10px",
          "height": "30px",
          "width": "180px",
          "font size": "22px",
          "grid": "griddestinos",
          "column": "0"
        },
        {
          "id": "pos",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "pos",
            "dataLength": "100",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[pos]"
          },
          "text align": "center",
          "left": "10px",
          "top": "10px",
          "height": "30px",
          "width": "180px",
          "font size": "22px",
          "grid": "griddestinos",
          "column": "1"
        },
        {
          "id": "hora",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "hora",
            "dataLength": "100",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[hora]"
          },
          "text align": "center",
          "left": "10px",
          "top": "10px",
          "height": "30px",
          "width": "180px",
          "font size": "22px",
          "grid": "griddestinos",
          "column": "2"
        }
      ]
    },
    {
      "screen": {
        "record format name": "fmt02",
        "document title": "Inicio de sesión",
        "external javascript": {
          "fieldName": "extjs",
          "dataLength": "10",
          "trimLeading": "false",
          "trimTrailing": "true",
          "blankFill": "false",
          "rjZeroFill": "false",
          "dataType": "char",
          "formatting": "Text",
          "textTransform": "none"
        },
        "disable enter key": "true"
      },
      "items": [
        {
          "id": "Layout1",
          "field type": "layout",
          "left": "0px",
          "top": "0px",
          "template": "css panel",
          "header text": "Panel Header",
          "header theme": "B - Blue",
          "body theme": "C - Gray",
          "height": "755px",
          "width": "1265px",
          "z index": "8",
          "has header": "false",
          "straight edge": "all"
        },
        {
          "id": "OutputField1",
          "field type": "output field",
          "css class": "label",
          "value": "Usuario:",
          "left": "455px",
          "top": "315px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "width": "259px",
          "height": "37px",
          "text align": "left",
          "font size": "22px",
          "color": "#10253f",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "user",
          "field type": "textbox",
          "css class": "blueprint-defaults",
          "value": {
            "fieldName": "user",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[user]"
          },
          "left": "455px",
          "top": "360px",
          "width": "365px",
          "height": "45px",
          "css class 2": "blueprint-textbox",
          "font size": "22px",
          "color": "#10253f",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "OutputField2",
          "field type": "output field",
          "css class": "label",
          "value": "Contraseña:",
          "left": "455px",
          "top": "415px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "width": "258px",
          "height": "37px",
          "text align": "left",
          "font size": "22px",
          "color": "#10253f",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "pass",
          "field type": "password field",
          "css class": "blueprint-defaults",
          "value": {
            "fieldName": "pass",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[pass]"
          },
          "left": "455px",
          "top": "465px",
          "width": "365px",
          "height": "45px",
          "css class 2": "blueprint-textbox",
          "font size": "22px",
          "color": "#10253f",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "GraphicButton1",
          "field type": "graphic button",
          "css class": "pui-solid-button-yes",
          "value": "Iniciar sesión",
          "left": "455px",
          "top": "575px",
          "width": "365px",
          "icon position": "left",
          "css class 2": "blueprint-defaults",
          "icon": "material:check",
          "height": "60px",
          "font size": "22px",
          "onclick": "conectar_vc();",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "errlog",
          "field type": "output field",
          "css class": "outputField",
          "value": {
            "fieldName": "errlog",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[errlog]"
          },
          "left": "455px",
          "top": "520px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-output-field",
          "width": "295px",
          "height": "37px",
          "color": "#FF0000",
          "font size": "22px",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "formato",
          "field type": "textbox",
          "css class": "blueprint-defaults",
          "value": {
            "fieldName": "formato",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "[formato]"
          },
          "left": "945px",
          "top": "155px",
          "width": "150px",
          "height": "25px",
          "css class 2": "blueprint-textbox",
          "visibility": "hidden",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "OutputField3",
          "field type": "output field",
          "css class": "label",
          "value": "ACCESO CONTROL VISUAL CHECK",
          "left": "255px",
          "top": "250px",
          "css class 2": "blueprint-defaults",
          "css class 3": "blueprint-label",
          "width": "715px",
          "text align": "center",
          "font size": "38px",
          "color": "#10253f",
          "layout": "Layout1",
          "container": "1"
        },
        {
          "id": "Image1",
          "field type": "image",
          "image source": {
            "fieldName": "logo",
            "dataLength": "10",
            "trimLeading": "false",
            "trimTrailing": "true",
            "blankFill": "false",
            "rjZeroFill": "false",
            "dataType": "char",
            "formatting": "Text",
            "textTransform": "none",
            "designValue": "/profoundui/proddata/images/image.png"
          },
          "left": "450px",
          "top": "135px",
          "height": "100px",
          "width": "365px",
          "layout": "Layout1",
          "container": "1"
        }
      ]
    }
  ],
  "keywords": [],
  "long name aliases": true
}